{: test a compilation error occurs for invalid declaration keyword }

{$d+}
program e050( output );

const
   n =  10;

do {e050}                   {!!! invalid keyword}
   writeln( 'fails:  bad type declaration undetected');
end. {e050}

